<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: UniversalTemperatureSourceSettings Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d79/class_universal_temperature_source_settings.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">UniversalTemperatureSourceSettings Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a394f56e0a4da4604b8b8228fcc49ff9b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d79/class_universal_temperature_source_settings.html#a394f56e0a4da4604b8b8228fcc49ff9b">m_UpdateInterval</a> = 1.0</td></tr>
<tr class="separator:a394f56e0a4da4604b8b8228fcc49ff9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93a985cf4cad2733d89bdcd0254fbc68"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d79/class_universal_temperature_source_settings.html#a93a985cf4cad2733d89bdcd0254fbc68">m_TemperatureMin</a> = 0</td></tr>
<tr class="memdesc:a93a985cf4cad2733d89bdcd0254fbc68"><td class="mdescLeft">&#160;</td><td class="mdescRight">how often the Update is ticking  <a href="../../db/d79/class_universal_temperature_source_settings.html#a93a985cf4cad2733d89bdcd0254fbc68">More...</a><br /></td></tr>
<tr class="separator:a93a985cf4cad2733d89bdcd0254fbc68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcf789c159e76141f1e4a2faedfb749e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d79/class_universal_temperature_source_settings.html#abcf789c159e76141f1e4a2faedfb749e">m_TemperatureMax</a> = 100</td></tr>
<tr class="memdesc:abcf789c159e76141f1e4a2faedfb749e"><td class="mdescLeft">&#160;</td><td class="mdescRight">min temperature you can get from the TemperatureSource  <a href="../../db/d79/class_universal_temperature_source_settings.html#abcf789c159e76141f1e4a2faedfb749e">More...</a><br /></td></tr>
<tr class="separator:abcf789c159e76141f1e4a2faedfb749e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d898b28c8dc0bffd2fe144fddffe538"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d79/class_universal_temperature_source_settings.html#a3d898b28c8dc0bffd2fe144fddffe538">m_TemperatureCap</a> = <a class="el" href="../../d4/dc3/classfloat.html#a984911aa6072c232bb876de8ed8904af">float.MAX</a></td></tr>
<tr class="memdesc:a3d898b28c8dc0bffd2fe144fddffe538"><td class="mdescLeft">&#160;</td><td class="mdescRight">max temperature you can get from the TemperatureSource  <a href="../../db/d79/class_universal_temperature_source_settings.html#a3d898b28c8dc0bffd2fe144fddffe538">More...</a><br /></td></tr>
<tr class="separator:a3d898b28c8dc0bffd2fe144fddffe538"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bc2e904092203533388a4d0bda0bedb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d79/class_universal_temperature_source_settings.html#a3bc2e904092203533388a4d0bda0bedb">m_RangeFull</a> = 1</td></tr>
<tr class="memdesc:a3bc2e904092203533388a4d0bda0bedb"><td class="mdescLeft">&#160;</td><td class="mdescRight">temperature cap that will limit the return value from GetTemperature method  <a href="../../db/d79/class_universal_temperature_source_settings.html#a3bc2e904092203533388a4d0bda0bedb">More...</a><br /></td></tr>
<tr class="separator:a3bc2e904092203533388a4d0bda0bedb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aedd8f55c240e57654e2c1865e63266"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d79/class_universal_temperature_source_settings.html#a5aedd8f55c240e57654e2c1865e63266">m_RangeMax</a> = 2</td></tr>
<tr class="memdesc:a5aedd8f55c240e57654e2c1865e63266"><td class="mdescLeft">&#160;</td><td class="mdescRight">range where the full temperature is given to receiver  <a href="../../db/d79/class_universal_temperature_source_settings.html#a5aedd8f55c240e57654e2c1865e63266">More...</a><br /></td></tr>
<tr class="separator:a5aedd8f55c240e57654e2c1865e63266"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a389941b6b5787defee17703afc1a938d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d79/class_universal_temperature_source_settings.html#a389941b6b5787defee17703afc1a938d">m_Updateable</a> = false</td></tr>
<tr class="memdesc:a389941b6b5787defee17703afc1a938d"><td class="mdescLeft">&#160;</td><td class="mdescRight">maximum range where the receiver can get some temperature  <a href="../../db/d79/class_universal_temperature_source_settings.html#a389941b6b5787defee17703afc1a938d">More...</a><br /></td></tr>
<tr class="separator:a389941b6b5787defee17703afc1a938d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88d3a0dce678c2bd38890b1f100f2471"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d79/class_universal_temperature_source_settings.html#a88d3a0dce678c2bd38890b1f100f2471">m_ManualUpdate</a> = false</td></tr>
<tr class="memdesc:a88d3a0dce678c2bd38890b1f100f2471"><td class="mdescLeft">&#160;</td><td class="mdescRight">if the Update is running peridocially  <a href="../../db/d79/class_universal_temperature_source_settings.html#a88d3a0dce678c2bd38890b1f100f2471">More...</a><br /></td></tr>
<tr class="separator:a88d3a0dce678c2bd38890b1f100f2471"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6485ca959fa11eb6d967f39ba996fcf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d79/class_universal_temperature_source_settings.html#ac6485ca959fa11eb6d967f39ba996fcf">m_AffectStat</a> = false</td></tr>
<tr class="memdesc:ac6485ca959fa11eb6d967f39ba996fcf"><td class="mdescLeft">&#160;</td><td class="mdescRight">update is called manually (ex. own tick of parent entity)  <a href="../../db/d79/class_universal_temperature_source_settings.html#ac6485ca959fa11eb6d967f39ba996fcf">More...</a><br /></td></tr>
<tr class="separator:ac6485ca959fa11eb6d967f39ba996fcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a017eb94f472ab0dc53a8f8c7e4eb0c0d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d79/class_universal_temperature_source_settings.html#a017eb94f472ab0dc53a8f8c7e4eb0c0d">m_Position</a> = <a class="el" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">vector.Zero</a></td></tr>
<tr class="memdesc:a017eb94f472ab0dc53a8f8c7e4eb0c0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">if the temperature generated is also set as Temperature Stat on Item itself  <a href="../../db/d79/class_universal_temperature_source_settings.html#a017eb94f472ab0dc53a8f8c7e4eb0c0d">More...</a><br /></td></tr>
<tr class="separator:a017eb94f472ab0dc53a8f8c7e4eb0c0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1b055fe3005307718cd77b2a51e24be"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d79/class_universal_temperature_source_settings.html#ad1b055fe3005307718cd77b2a51e24be">m_Parent</a> = null</td></tr>
<tr class="separator:ad1b055fe3005307718cd77b2a51e24be"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00001">1</a> of file <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html">UniversalTemperatureSource.c</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="ac6485ca959fa11eb6d967f39ba996fcf" name="ac6485ca959fa11eb6d967f39ba996fcf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6485ca959fa11eb6d967f39ba996fcf">&#9670;&#160;</a></span>m_AffectStat</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> UniversalTemperatureSourceSettings::m_AffectStat = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>update is called manually (ex. own tick of parent entity) </p>

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00013">13</a> of file <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html">UniversalTemperatureSource.c</a>.</p>

</div>
</div>
<a id="a88d3a0dce678c2bd38890b1f100f2471" name="a88d3a0dce678c2bd38890b1f100f2471"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88d3a0dce678c2bd38890b1f100f2471">&#9670;&#160;</a></span>m_ManualUpdate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> UniversalTemperatureSourceSettings::m_ManualUpdate = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>if the Update is running peridocially </p>

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00012">12</a> of file <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html">UniversalTemperatureSource.c</a>.</p>

</div>
</div>
<a id="ad1b055fe3005307718cd77b2a51e24be" name="ad1b055fe3005307718cd77b2a51e24be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1b055fe3005307718cd77b2a51e24be">&#9670;&#160;</a></span>m_Parent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> UniversalTemperatureSourceSettings::m_Parent = null</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00017">17</a> of file <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html">UniversalTemperatureSource.c</a>.</p>

</div>
</div>
<a id="a017eb94f472ab0dc53a8f8c7e4eb0c0d" name="a017eb94f472ab0dc53a8f8c7e4eb0c0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a017eb94f472ab0dc53a8f8c7e4eb0c0d">&#9670;&#160;</a></span>m_Position</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> UniversalTemperatureSourceSettings::m_Position = <a class="el" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">vector.Zero</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>if the temperature generated is also set as Temperature Stat on Item itself </p>

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00016">16</a> of file <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html">UniversalTemperatureSource.c</a>.</p>

</div>
</div>
<a id="a3bc2e904092203533388a4d0bda0bedb" name="a3bc2e904092203533388a4d0bda0bedb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bc2e904092203533388a4d0bda0bedb">&#9670;&#160;</a></span>m_RangeFull</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> UniversalTemperatureSourceSettings::m_RangeFull = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>temperature cap that will limit the return value from GetTemperature method </p>

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00007">7</a> of file <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html">UniversalTemperatureSource.c</a>.</p>

</div>
</div>
<a id="a5aedd8f55c240e57654e2c1865e63266" name="a5aedd8f55c240e57654e2c1865e63266"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5aedd8f55c240e57654e2c1865e63266">&#9670;&#160;</a></span>m_RangeMax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> UniversalTemperatureSourceSettings::m_RangeMax = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>range where the full temperature is given to receiver </p>

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00008">8</a> of file <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html">UniversalTemperatureSource.c</a>.</p>

</div>
</div>
<a id="a3d898b28c8dc0bffd2fe144fddffe538" name="a3d898b28c8dc0bffd2fe144fddffe538"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d898b28c8dc0bffd2fe144fddffe538">&#9670;&#160;</a></span>m_TemperatureCap</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> UniversalTemperatureSourceSettings::m_TemperatureCap = <a class="el" href="../../d4/dc3/classfloat.html#a984911aa6072c232bb876de8ed8904af">float.MAX</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>max temperature you can get from the TemperatureSource </p>

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00006">6</a> of file <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html">UniversalTemperatureSource.c</a>.</p>

</div>
</div>
<a id="abcf789c159e76141f1e4a2faedfb749e" name="abcf789c159e76141f1e4a2faedfb749e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcf789c159e76141f1e4a2faedfb749e">&#9670;&#160;</a></span>m_TemperatureMax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> UniversalTemperatureSourceSettings::m_TemperatureMax = 100</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>min temperature you can get from the TemperatureSource </p>

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00005">5</a> of file <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html">UniversalTemperatureSource.c</a>.</p>

</div>
</div>
<a id="a93a985cf4cad2733d89bdcd0254fbc68" name="a93a985cf4cad2733d89bdcd0254fbc68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93a985cf4cad2733d89bdcd0254fbc68">&#9670;&#160;</a></span>m_TemperatureMin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> UniversalTemperatureSourceSettings::m_TemperatureMin = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>how often the Update is ticking </p>

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00004">4</a> of file <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html">UniversalTemperatureSource.c</a>.</p>

</div>
</div>
<a id="a389941b6b5787defee17703afc1a938d" name="a389941b6b5787defee17703afc1a938d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a389941b6b5787defee17703afc1a938d">&#9670;&#160;</a></span>m_Updateable</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> UniversalTemperatureSourceSettings::m_Updateable = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>maximum range where the receiver can get some temperature </p>

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00011">11</a> of file <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html">UniversalTemperatureSource.c</a>.</p>

</div>
</div>
<a id="a394f56e0a4da4604b8b8228fcc49ff9b" name="a394f56e0a4da4604b8b8228fcc49ff9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a394f56e0a4da4604b8b8228fcc49ff9b">&#9670;&#160;</a></span>m_UpdateInterval</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> UniversalTemperatureSourceSettings::m_UpdateInterval = 1.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00003">3</a> of file <a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html">UniversalTemperatureSource.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Systems/UniversalTemperatureSource/<a class="el" href="../../d2/ddb/_universal_temperature_source_8c_source.html">UniversalTemperatureSource.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/d79/class_universal_temperature_source_settings.html">UniversalTemperatureSourceSettings</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
